libavtest and seektest no longer need gpl
authorMåns Rullgård <mans@mansr.com>
Fri, 13 Jul 2007 17:41:28 +0000 (17:41 +0000)
committerMåns Rullgård <mans@mansr.com>
Fri, 13 Jul 2007 17:41:28 +0000 (17:41 +0000)
Originally committed as revision 9633 to svn://svn.ffmpeg.org/ffmpeg/trunk

Makefile

index e90d0fc..caeb56e 100644 (file)
--- a/Makefile
+++ b/Makefile
@@ -275,18 +275,10 @@ codectest mpeg4 mpeg ac3 snow snowll: ffmpeg$(EXESUF) tests/vsynth1/00.pgm tests
        $(SRC_PATH)/tests/regression.sh $@ $(FFMPEG_REFFILE)   tests/vsynth1
        $(SRC_PATH)/tests/regression.sh $@ $(ROTOZOOM_REFFILE) tests/vsynth2
 
-ifeq ($(CONFIG_GPL),yes)
 libavtest: ffmpeg$(EXESUF) tests/vsynth1/00.pgm tests/asynth1.sw
        $(SRC_PATH)/tests/regression.sh $@ $(LIBAV_REFFILE) tests/vsynth1
 seektest: tests/seek_test$(EXESUF)
        $(SRC_PATH)/tests/seek_test.sh $(SEEK_REFFILE)
-else
-libavtest seektest:
-       @echo
-       @echo "This test requires FFmpeg to be compiled with --enable-gpl."
-       @echo
-       @exit 1
-endif
 
 ifeq ($(CONFIG_SWSCALER),yes)
 test-server codectest mpeg4 mpeg ac3 snow snowll libavtest: swscale_error